QGIS Application - Bug report #14348
Offline editing tool export no primary key
2016-02-21 10:47 AM - Gerd Dreier

Status: Closed
Priority: Normal
Assignee:

Category: Unknown
Affected QGIS version:2.12.2
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: end of life

Copied to github as #: 22333

Description

If | export my database (mysq|, sqlite source) with the Offline editing tool, the primary key is not export to the offline database.
After the export it is not possible to identify any feature (because there is no primary key) out of the Offline Database

Here the example for a offline database of sqlite before and after the export:

History

#1 - 2016-02-21 10:50 AM - Gerd Dreier
- File before.PNG added

#2 - 2016-02-21 10:50 AM - Gerd Dreier
- File after.PNG added

#3 - 2017-05-01 01:06 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#4 - 2017-09-22 10:05 AM - Jiirgen Fischer
- Category set to Unknown

#5 - 2019-03-09 03:08 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the
ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help
you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and
administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and
support the project even more, for the long term improvement and sustainability of the QGIS project.

Files
before.PNG 29.8 KB 2016-02-21 Gerd Dreier
after.PNG 26.2 KB 2016-02-21 Gerd Dreier
